#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n, mi=0, pl=0;
    bool m=true, p=true;
    cin>>n;
    vector <int> veki (n);
    for(int i=0; i<n; i++){
        cin>>veki[i];
        if(veki[i]<0){
            p=false;
            mi++;
        }
        else{
            m=false;
            pl++;
        }
    }
    int x=min(n, 500000);
    cout<<x<<endl;
    if(m){
        cout<<2;
        for(int i=1; i<x; i++){
            cout<<32;
        }
    }
    else if(p){
        cout<<1;
        for(int i=1; i<x; i++){
            cout<<21;
        }
    }
    else{
        for(int i=0; i<x; i++){
            if(pl>mi){
                if(i%2)
                    cout<<2;
                else
                    cout<<1;
            }
            else{
                if(i%2)
                    cout<<1;
                else
                    cout<<2;
            }
        }
    }
}